how to start xfce 4.10 after compile it on xfce 4.08?

Forum rules
Before you post please read this

how to start xfce 4.10 after compile it on xfce 4.08?

Postby windily on Wed May 02, 2012 10:16 am

I am using linux12 with xfce-4.8, and compile Xfce-4.10, install everything into "/usr/xfce4", sucessful.

then, I am confused how to start xfce4.10 as default desktoip envirement, pls help.

thanks!
windily
Level 1
Level 1
 
Posts: 3
Joined: Wed May 02, 2012 10:05 am

Linux Mint is funded by ads and donations.
 

Re: how to start xfce 4.10 after compile it on xfce 4.08?

Postby tedbell on Wed May 02, 2012 1:43 pm

can you tell me ow to compile it too.
can get half of the make commands to work
the instructions on the site are not friendly
tedbell
Level 1
Level 1
 
Posts: 19
Joined: Sat Mar 17, 2012 4:34 am

Re: how to start xfce 4.10 after compile it on xfce 4.08?

Postby vrkalak on Wed May 02, 2012 7:01 pm

An online tour of the changes in Xfce 4.10 can be viewed here:

Xfce-4.10 Tour > http://xfce.org/about/tour

Main Xfce site > http://www.xfce.org/
Xfce Forums > http://forum.xfce.org
Xfce - Wiki pages > http://wiki.xfce.org/
Official Xfce BLOG > http://blog.xfce.org/

Download Xfce-4.10 > http://archive.xfce.org/xfce/4.10

>>>>>> Build the new Xfce-4.10 over the old 4.8 > http://docs.xfce.org/xfce/building <<<<<<<
Image
:: LinuxMint-Debian-Edition (Fluxbox) :: Manjaro/Arch (Xfce) ::
Registered Linux User: #497031 :: DeviantART Page
User avatar
vrkalak
Level 10
Level 10
 
Posts: 3339
Joined: Mon Jul 20, 2009 5:53 pm
Location: Santa Fe, NM, USA

Re: how to start xfce 4.10 after compile it on xfce 4.08?

Postby windily on Thu May 03, 2012 7:35 am

You can find detail information on how to compile it here: http://docs.xfce.org/xfce/building

1, need down load source code form here: http://archive.xfce.org/xfce/4.10/fat_tarballs

2, then extract xfce-4.10.tar.bz2

3, compile the package one by one, with following suequence, detail information pls refer to http://docs.xfce.org/xfce/building

xfce4-dev-tools
libxfce4util
xfconf
libxfce4ui, garcon,
exo
xfce4-panel
thunar
xfce4-settings, xfce4-session, xfdesktop, xfwm4, xfce4-appfinder, …

4, then start it with "startxfce4"
windily
Level 1
Level 1
 
Posts: 3
Joined: Wed May 02, 2012 10:05 am

Re: how to start xfce 4.10 after compile it on xfce 4.08?

Postby windily on Thu May 03, 2012 8:13 am

Hi, I find solution here:http://askubuntu.com/questions/62833/how-do-i-change-the-default-session-for-when-using-auto-logins

it is very simple thing to add Xfce4.10 into login selection session, but you need find the way first...

The list of sessions is described in the directory /usr/share/xsessions.

Some of the more common session names are as follows:

For unity-2d the session file is called ubuntu-2d.desktop
For gnome-classic the session file is called gnome-classic.desktop
For gnome-classic (no effects) aka gnome-fallback the session file is called gnome-fallback.desktop
For unity-3d the session file is called ubuntu.desktop
For Lubuntu the session file is called Lubuntu.desktop
For LXDE the session file is called LXDE.desktop

Thus, if you change the light-dm configuration file to "ubuntu-2d" this will default the session to Unity-2D

i.e.

sudo nano /etc/lightdm/lightdm.conf

change the line

user-session=ubuntu

to

user-session=ubuntu-2d

Note - if you don't have a lightdm.conf file then for a autologin use the following values for this file:

[SeatDefaults]
greeter-session=unity-greeter
user-session=ubuntu-2d
autologin-user=myusername
autologin-user-timeout=0

Another possibility is to run:

sudo /usr/lib/lightdm/lightdm-set-defaults -s <session-name>

E.g.:

sudo /usr/lib/lightdm/lightdm-set-defaults -s ubuntu-2d

This will also create the lightdm.conf file if it wasn't already present.
windily
Level 1
Level 1
 
Posts: 3
Joined: Wed May 02, 2012 10:05 am

Re: how to start xfce 4.10 after compile it on xfce 4.08?

Postby lkraemer on Fri Sep 07, 2012 9:20 am

windily,
I've been trying to compile XFCE 4.10 on a Linux Mint 201204 (LMDE) system. I'm at the module xconf and I have this error:
checking for libxfce4util-1.0 >= 4.9.0... found, but 4.8.2
*** The required package libxfce4util-1.0 was found on your system,
*** but the installed version (4.8.2) is too old.
*** Please upgrade libxfce4util-1.0 to atleast version 4.9.0, or adjust
*** the PKG_CONFIG_PATH environment variable if you installed
*** the new version of the package in a nonstandard prefix so
*** pkg-config is able to find it.


I've tried to locate the lib that is >=4.9.0 in the Debian 'testing" Repo's and the SID repo's. So far I haven't located a lib that meets
the requirements. How did you locate a version of libxfce4util-1.0 that meets the requirements?

I'd like to get Linux Mint (LMDE) running XFCE 4.10 and Thunar 1.4.0.

Thanks.


Larry
lkraemer
Level 2
Level 2
 
Posts: 52
Joined: Tue Apr 24, 2012 9:05 pm

Re: how to start xfce 4.10 after compile it on xfce 4.08?

Postby jjaythomas on Fri Sep 07, 2012 11:52 pm

If mint 12 and installed the 'Xfce4 meta package your on a 'Ubuntu' based system

I believe the PPA for 4.10 will work in the 11.10 based (what mint 12 based on)
or
can upgrade to mint13 (Maya) Xfce that use the PPA and the defalt desktop is 4.10.

J.Jay
jjaythomas
Level 5
Level 5
 
Posts: 597
Joined: Sun Mar 07, 2010 12:52 pm

Linux Mint is funded by ads and donations.
 

Return to XFCE

Who is online

Users browsing this forum: Yahoo [Bot] and 0 guests